# Ice::AlreadyRegisteredException

## Overview

### local exception AlreadyRegisteredException

An attempt was made to register something more than once with the Ice run time. This exception is raised if an attempt is made to register a servant, servant locator, facet, object factory, plug-in, object adapter, object, or user exception factory more than once for the same ID.

## Data Members

string kindOfObject;

  The kind of object that is registered already: "servant", "servant locator", "facet", "object factory", "plug-in", "object adapter", "object", or "user exception factory".

string id;

  The ID (or name) of the object that is registered already.